Bug 1658167 - syspurpose show is broken on a unregistered system [NEEDINFO]
Summary: syspurpose show is broken on a unregistered system
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 12:31 UTC by Shwetha Kallesh
Modified: 2019-01-23 09:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:
khowell: needinfo? (csnyder)


Attachments (Terms of Use)

Description Shwetha Kallesh 2018-12-11 12:31:48 UTC
Description of problem:
syspurpose show is broken on a unregistered system

Version-Release number of selected component (if applicable):
[root@hp-dl380pgen8-02-vm-16 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.3.11-1
subscription management rules: 5.30
subscription-manager: 1.23.8-6.el8

How reproducible:


Steps to Reproduce:
[root@hp-dl380pgen8-02-vm-16 ~]# syspurpose add-addons ELS
Added ELS to addons.
Unable to send system purpose to subscription management server
[root@hp-dl380pgen8-02-vm-16 ~]# cat /etc/rhsm/syspurpose/syspurpose.json
{
  "addons": [
    "ELS"
  ]
}[root@hp-dl380pgen8-02-vm-16 ~]#syspurpose show
{}
Unable to send system purpose to subscription management server

Actual results:
no value is displayed

Expected results:
should display values of the attributes present in syspurpose.json file

Additional info:

Comment 1 Kevin Howell 2019-01-07 15:48:21 UTC
Can you please retest with the latest build?

Comment 2 Shwetha Kallesh 2019-01-09 08:57:51 UTC
Bug can no longer be reproduced with the following version of subscription-manager:
[root@kvm-04-guest14 ~]# subscription-manager  version
server type: This system is currently not registered.
subscription management server: Unknown
subscription management rules: Unknown
subscription-manager: 1.23.8-12.el8


[root@kvm-04-guest14 ~]# cat /etc/rhsm/syspurpose/syspurpose.json 
{}

[root@kvm-04-guest14 ~]# syspurpose add-addons ELS
Added ELS to addons.
Unable to send system purpose to subscription management server

[root@kvm-04-guest14 ~]# syspurpose show
{
  "addons": [
    "ELS"
  ]
}

Comment 4 Shwetha Kallesh 2019-01-23 09:35:07 UTC
[root@kvm-02-guest01 ~]# subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 2.3.12-1
subscription management rules: 5.30
subscription-manager: 1.23.8-14.el8


[root@kvm-02-guest01 ~]# syspurpose show
{}

[root@kvm-02-guest01 ~]#  syspurpose add-addons ELS
Added ELS to addons.
Unable to send system purpose to subscription management server
[root@kvm-02-guest01 ~]# syspurpose show
{
  "addons": [
    "ELS"
  ]
}
Unable to send system purpose to subscription management server


Note You need to log in before you can comment on or make changes to this bug.